<?xml version="1.0" encoding="utf-8" ?>
<!-- https://www.youtube.com/watch?v=o5u4fE0t79k -->
<!-- https://github.com/NLog/NLog/wiki/Configuration-file -->
<nlog xmlns="https://www.nlog-project.org/schemas/NLog.xsd"
	  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	
	<!-- the targets to write to -->
	<targets>
		<!-- write logs to file -->
		<target name="logfile1" xsi:type="File" fileName="c:\temp\InverterMonServer-${shortdate}-1.log" />
		<target name="logfile2" xsi:type="File" fileName="c:\temp\InverterMonServer-${shortdate}-2.log" />
		<target name="logconsole" xsi:type="Console" />
		<target name="ds" xsi:type="OutputDebugString"/>
	</targets>
	
	<!-- rules to map from logger name to target -->
	<rules>
		<logger name="FelicitySolarInverter.*" minlevel="Debug" writeTo="logconsole" />
		<target name="FelicitySolarInverter.*" minlevel="Debug" writeTo="ds"/>
		<logger name="FelicitySolarInverter.*" minlevel="Trace" writeTo="logfile1" />
		<logger name="Felicity*" minlevel="Trace" writeTo="logfile2" />
	</rules>
</nlog>